Bug 995691 - No way of changing partition table type during installation (MBR to GPT or reverse)
No way of changing partition table type during installation (MBR to GPT or re...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 02:54 EDT by Răzvan Sandu
Modified: 2017-12-06 05:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 05:34:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2013-08-10 02:54:35 EDT
Description of problem:

Tested on RHEL 6.4:

During normal installation process (in graphical or text mode), at the partitioning screen, it is impossible to alter the type of partition table for the (empty) underlying storage, prior to creating partitions.

This is impossible in both directions: either MBR to GPT or GPT to MBR.


Version-Release number of selected component (if applicable):
anaconda-13.21.195-1.el6.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Try to install fresh system
2. Arrive at the partitioning screen an try to switch to GPT partition table type prior of creating partitions (or in reverse, try to switch to MBR partition table type).


Actual results:
There is no visible option for changing the partition table type MBR -> GPT or GPT -> MBR.

Expected results:
Such an option should exist, in both graphical and text variants of the partitioning screen.
Comment 2 RHEL Product and Program Management 2013-10-13 22:47:10 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 05:34:03 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.